×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Registered User
    Join Date
    Dec 2008
    Posts
    5

    S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    All,

    installation of the C:\S60\devices\S60_5th_Edition_SDK_v0.9_2\S60tools\Ecmt\EcmtAgent.sis (v 4.0) fails on a Nokia 5800. During installation, it warns about the SIS not compatible with this device, and when started, the screen is just black (no soft buttons for Settings etc).

    This there a new version somewhere for 5th Ed device?

    cheers, O

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    If I undestand you correctly the installation succedes (with that compatibility warning) but then the application hangs when run on the phone.

    Unfortunately the latest ecmtagent.sis I had for review shows the same hanging problem. We're looking into what is causing this ...
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Registered User
    Join Date
    Dec 2008
    Posts
    5

    Re: S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    correct - that's the situation... thanks for the confirmation, let me know whn you have an update for this

    cheers, O

  4. #4
    Registered User
    Join Date
    Feb 2009
    Posts
    7

    Re: S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    Dear all,

    Has there been any update with this file not being installable on a 5800? I guess it's not currently possible to debug on this phone?

    Best regards,

    Jim

  5. #5
    Registered User
    Join Date
    Mar 2009
    Posts
    5

    Question Re: S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    Hi,

    Has anybody had success using EcmtAgent on a 5800? What does ECMT stand for anyway? Does the EcmtAgent use the JWDP protocol?

    Thanks!
    -Mike

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    Which SDK version are you using and that is the firmware version on your device? The ECMT agent from the latest SDK (v1.0) and with the latest device firmware should work just fine. Well, at least the install part should work.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  7. #7
    Registered User
    Join Date
    Mar 2009
    Posts
    5

    Question Re: S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    Hi,

    I should have mentioned that I grabbed EcmtAgent.sis from C:\S60\devices\S60_5th_Edition_SDK_v1.0\S60tools\Ecmt so I imagine that means the SDK version is "Series 60, 5th edition, version 1.0"

    On my 5800 (which I purchased just to do development) the software version is:

    Software version
    20.0.012

    Software version date
    26-01-2009

    Custom version
    20.0.012.217.06

    Custom version date
    02-02-2009

    Language set
    01

    Model
    5800 XpressMusic

    Type
    RM-356

    Is EcmtAgent a custom Symbian C++ app that modifies some config file that the KVM uses?
    Does the KVM (or whatever you guys call your CLDC JVM) know how to talk JWDP? (JWDP is the standard wire-level protocol for Java debugging)

    Is there documentation available for EcmtAgent? Or failing that, source code?
    I have been able to successfully install EcmtAgent, but I can't seem to get it to connect to my debugger in Eclipse (or any other IDE, or indeed, anything listening on a socket on the same subnet)

    Has anyone been able to successfully do Java on-device debugging on the 5800?

  8. #8
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: S60 5th SDK (0.9) EcmtAgent.sis doesn't work on 5800 device

    Ok, if the installation succeeded and the app doesn't hang then the original problem with the application is solved.

    I am not a Java developers do I can't tell you anything about those acronyms but ODD over WLAN should work while it does not work over BT or USB (documented in the release notes). So, have you tried to use it over WLAN? Are the phone and the PC in the same network?

    The configuration procedure is documented in the SDK help, see the attached image as a guide for finding it:
    Attached Images Attached Images
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. S60 SDK, 3rd FP2 works well, 5th not.
    By sblantipodi in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2008-12-28, 20:19
  2. Emulator of S60 3rd Edition FP2 SDK does not work?
    By patrick_307 in forum Mobile Java Tools & SDKs
    Replies: 8
    Last Post: 2008-12-07, 16:17
  3. S60 5th Edition SDK v0.9 App Trk available?
    By Martin_Malek in forum Symbian Tools & SDKs
    Replies: 3
    Last Post: 2008-11-05, 10:28
  4. HELP, SIPExample in S60 SDK doesn't work.
    By guanzhong in forum Symbian Networking & Messaging (Closed)
    Replies: 0
    Last Post: 2007-06-12, 19:21
  5. Series 60Series 60 MIDP Concept SDK Beta 0.2 Linux bug?
    By kauppi in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2003-04-07, 09:05

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×